<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: endian_check/endian_check.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_cc71b68a4cf98eeba70c8fbde99b192a.html">endian_check</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">endian_check.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="endian__check_8h__dep__incl.png" border="0" usemap="#endian__check_2endian__check_8hdep" alt=""/></div>
<map name="endian__check_2endian__check_8hdep" id="endian__check_2endian__check_8hdep">
<area shape="rect" id="node2" href="endian__check_8c.html" title="endian_check/endian\l_check.c" alt="" coords="5,95,149,136"/>
<area shape="rect" id="node3" href="endian__check_2test_8c.html" title="endian_check/test.c" alt="" coords="173,102,312,129"/>
</map>
</div>
</div>
<p><a href="endian__check_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a16eb4c620d49a9f295888e0d5f309cfe"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="endian__check_8h.html#a16eb4c620d49a9f295888e0d5f309cfe">ENDIAN_CHECK_SPEC</a></td></tr>
<tr class="separator:a16eb4c620d49a9f295888e0d5f309cfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a11d262cbf1f747d432c35cd0b51cad92"><td class="memItemLeft" align="right" valign="top"><a class="el" href="endian__check_8h.html#a16eb4c620d49a9f295888e0d5f309cfe">ENDIAN_CHECK_SPEC</a> int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="endian__check_8h.html#a11d262cbf1f747d432c35cd0b51cad92">is_big_endian</a> (void)</td></tr>
<tr class="separator:a11d262cbf1f747d432c35cd0b51cad92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca8fa45e1395988d77246b0af4c9d3e9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="endian__check_8h.html#a16eb4c620d49a9f295888e0d5f309cfe">ENDIAN_CHECK_SPEC</a> int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="endian__check_8h.html#aca8fa45e1395988d77246b0af4c9d3e9">is_little_endian</a> (void)</td></tr>
<tr class="separator:aca8fa45e1395988d77246b0af4c9d3e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Determine endianess of host machine.</p>
<p><a href="https://en.wikipedia.org/wiki/Endianness">https://en.wikipedia.org/wiki/Endianness</a> </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a16eb4c620d49a9f295888e0d5f309cfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16eb4c620d49a9f295888e0d5f309cfe">&#9670;&nbsp;</a></span>ENDIAN_CHECK_SPEC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ENDIAN_CHECK_SPEC</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>CONFIGURATION: Define for header only library, undefine for standalone module. </p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a11d262cbf1f747d432c35cd0b51cad92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11d262cbf1f747d432c35cd0b51cad92">&#9670;&nbsp;</a></span>is_big_endian()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="endian__check_8h.html#a16eb4c620d49a9f295888e0d5f309cfe">ENDIAN_CHECK_SPEC</a> int is_big_endian </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aca8fa45e1395988d77246b0af4c9d3e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca8fa45e1395988d77246b0af4c9d3e9">&#9670;&nbsp;</a></span>is_little_endian()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="endian__check_8h.html#a16eb4c620d49a9f295888e0d5f309cfe">ENDIAN_CHECK_SPEC</a> int is_little_endian </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
